0

我装了 deepin linux 后,安装的 Chrome 访问自签证书的 https 网站时,会弹一个 隐私设置错误 的页面,很无奈,我这儿无法跳过,我尝试了安装 Chromium 仍然是无法访问。在 Firefox 中可以跳过的。

你们看,是不是很过分,正常来说有个继续访问的按钮的,遗憾的是,这里没有。

我装了 Windows 的虚拟机,在虚拟中的 Chrome 就没有这个问题。我以前用 Debian 的时候,也没这个问题。

这个问题已经让我抓狂了,找遍了各种方法,仍然无法解决,求大神帮助。。。

3个回答

0

自问自答,实在是无法解决,最后只能给浏览器启动添加参数跳过 error,不想在命令行打开 Chromium 的话,可用如下方法:
打开 /etc/chromium.d/default-flags 编辑:
添加一行:

# Disable HTTPS Error Report
export CHROMIUM_FLAGS="$CHROMIUM_FLAGS --ignore-certificate-errors --test-type"

其中 --ignore-certificate-errors 是重点,跳过不信任 Error。
不加 --test-type 打开浏览器会有警告,加上之后就没事儿了。

0

这是Google浏览器自带的一个机制,会自动检测网页客户端对于用户信息的读取,如果读取其中的敏感信息或者通过明文传输一段特殊字符或者读取外部的程序信息等都会被拦截,但是这也是可以自行取消的,就是在google浏览器中设置中将隐私及安全全部关闭即可,但是这样会存在一定的风险,谨慎操作

撰写答案